const airportName = ['BPM数据', 'BSM数据', '航班数据', '异常行李数据', '不符合规范数据']

const colors = ['#a5d6a7', '#6f9dea', '#ffcc80', '#66b5f7', '#b39ddb']

const checkAlls = [
  {
    label: '全国',
    value: '全国'
  },
  {
    label: '东北地区',
    value: '东北地区'
  },
  {
    label: '中南地区',
    value: '中南地区'
  },
  {
    label: '华东地区',
    value: '华东地区'
  },
  {
    label: '华北地区',
    value: '华北地区'
  },
  {
    label: '新疆',
    value: '新疆'
  },
  {
    label: '西南地区',
    value: '西南地区'
  },
  {
    label: '西北地区',
    value: '西北地区'
  }
]

const checkAccess = [
  {
    label: '总数据条数',
    value: '总数据条数'
  },
  {
    label: 'BPM数据',
    value: 'BPM数据'
  },
  {
    label: 'BSM数据',
    value: 'BSM数据'
  },
  {
    label: '航班数据',
    value: '航班数据'
  },
  {
    label: '异常行李数据',
    value: '异常行李数据'
  },
  {
    label: '不符合规范数据',
    value: '不符合规范数据'
  }
]

const checkLuggage = [
  {
    label: '总行李量',
    value: '总行李量'
  },
  {
    label: '离港行李量',
    value: '离港行李量'
  },
  {
    label: '进港行李量',
    value: '进港行李量'
  },
  {
    label: '中转行李量',
    value: '中转行李量'
  }
]

const checkNodes = [
  {
    label: '标准内节点',
    value: '标准内节点'
  },
  {
    label: '标准外节点',
    value: '标准外节点'
  },
  {
    label: '基本节点',
    value: '基本节点'
  }
]

const barOption = {
  title: {
    // text: 'Referer of a Website',
    subtext: '',
    left: '45%',
  },
  tooltip: {
    trigger: 'axis',
    axisPointer: {
      type: 'shadow'
    },
    position: ['50%', '50%']
  },
  legend: {
    left: 10,
    top: 75,
    itemWidth: 10,
    itemHeight: 10,
    textStyle: {
      color: '#888'
    }
  },
  grid: {
    left: '30%',
    right: '4%',
    bottom: '3%',
    top: '20%',
    containLabel: true
  },
  xAxis: {
    type: 'value'
  },
  yAxis: {
    type: 'category',
    data: [],
    axisTick: {
      show: false
    }
  },
  series: [

  ]
}

const pieOption = {
  tooltip: {
    trigger: 'item'
  },
  legend: {
    orient: 'vertical',
    top: '20%'
  },
  series: [
    {
      right: '0%',
      name: '',
      type: 'pie',
      radius: ["70%", "90%"],
      center: ["60%", "50%"],
      hoverAnimation: false,
      label: {
        show: false,
        position: 'left'
      },
      color: [],
      data: [],
    },
    {
      name: "",
      type: "pie",
      hoverAnimation: false,
      radius: ["60%", "80%"],
      center: ["60%", "50%"],
      avoidLabelOverlap: false,
      label: {
        show: false,
      },
      color: [],
      labelLine: {
        show: false,
      },
      data: [],
    },
    {
      name: "",
      type: "pie",
      // silent:true,
      center: ["60%", "50%"],
      radius: ["65%", "50%"],
      avoidLabelOverlap: false,
      label: {
        show: false,
      },
      color: [],
      hoverAnimation: false,
      labelLine: {
        show: false,
      },
      data: [],
    },
    {
      name: "总量",
      type: "pie",
      // silent:true,
      center: ["60%", "50%"],
      radius: ["0%", "40%"],
      avoidLabelOverlap: false,
      label: {
        show: false,
      },
      label: {
        formatter: `{c}\n{b}`,
        show: true,
        position: 'center'
      },
      hoverAnimation: false,
      labelLine: {
        show: false,
      },
      data: [],
    },
  ]
}


const mapOption = {
  tooltip: {
    trigger: 'item',
  },
  visualMap: [
    {
      min: 0,
      max: 25000,
      seriesIndex: 1,
      left: '2.5px',
      bottom: '18px',
      color: ['#ffcc80'],
    },
    {
      min: 0,
      max: 25000,
      left: 'left',
      top: 'bottom',
      text: ['高', '低'],
      color: ['#164190', '#a6c2f2'],
      seriesIndex: 0,
      calculable: true
    },
  ],
  geo: {
    map: 'china',
    show: true,
    roam: false,
    label: {
      emphasis: {
        show: false
      }
    },
    itemStyle: {
      normal: {
        areaColor: '#091632',
        borderColor: '#1773c3',
        shadowColor: '#1773c3',
        shadowBlur: 20
      }
    }
  },
  series: [
    {
      type: 'map',
      map: 'china',
      geoIndex: 1,
      roam: false,
      aspectScale: 0.75, //长宽比
      showLegendSymbol: true, // 存在legend时显示
      label: {
        normal: {
          show: false,
        },
        emphasis: {
          show: false,
          textStyle: {
            color: '#fff'
          }
        }
      },
      itemStyle: {
        normal: {
          areaColor: '#031525',
          borderColor: '#3B5077',
          borderWidth: 1
        },
        emphasis: {
          areaColor: '#0f2c70'
        }
      },
      data: [
      ]
    },
    {
      name: '机场',
      type: 'scatter',
      coordinateSystem: 'geo',
      data: [],
      itemStyle: {
        normal: {
          color: '#ddb926'
        }
      }
    },
  ]
};

const scatterOption = {
  tooltip: {
    position: 'top'
  },
  grid: {
    left: 200,
    right: '4%',
    bottom: '3%',
    top: '20%',
    containLabel: true
  },
  series: []
}

const LuggageOption = {
  color: ['#7569BE'],
  title: {
    // text: 'Referer of a Website',
    subtext: '',
    left: '0%',
    top: 0
  },
  tooltip: {
    trigger: "axis",
  },
  legend: {
    left: 10,
    top: 75,
    itemWidth: 10,
    itemHeight: 10,
    textStyle: {
      color: '#888'
    }
  },
  grid: {
    left: '18%',
    right: '4%',
    bottom: '3%',
    top: '5%',
    containLabel: true
  },
  xAxis: {
    type: 'category',
    axisTick: {
      show: false,
    },
    axisLabel: {
      interval: 0,
      formatter: function (value) {
        var ret = "";//拼接加\n返回的类目项  
        var valLength = value.length;//X轴类目项的文字个数
        var maxLength = value.length > 4 ? 3 : 2;//每项显示文字个数    
        var rowN = Math.ceil(valLength / maxLength); //类目项需要换行的行数  
        if (rowN > 1)//如果类目项的文字大于5,  
        {
          for (var i = 0; i < rowN; i++) {
            var temp = "";//每次截取的字符串  
            var start = i * maxLength;//开始截取的位置  
            var end = start + maxLength;//结束截取的位置  
            //这里也可以加一个是否是最后一行的判断，但是不加也没有影响，那就不加吧  
            temp = value.substring(start, end) + "\n";
            ret += temp; //凭借最终的字符串  
          }
          return ret;
        }
        else {
          return value;
        }
      }
    },
    axisLine: {
      show: false
    }
  },
  // color:['#ccc','red'],
  yAxis: {
    type: 'value',
  },
  color: ['#3a79e3', '#ffcc80'],
  series: []
}

export { airportName, colors, checkAlls, checkLuggage, checkNodes, checkAccess, barOption, pieOption, mapOption, scatterOption, LuggageOption }